メインコンテンツへスキップ
POST
/
crm
/
v3
/
extensions
/
calling
/
inbound-call
着信通話の詳細をCRMに送信します。
curl --request POST \
  --url https://api.hubapi.com/crm/v3/extensions/calling/inbound-call \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "createEngagement": true,
  "engagementProperties": {},
  "externalCallId": "<string>",
  "fromNumber": {
    "e164Number": "<string>",
    "extension": "<string>"
  },
  "potentialRecipientUserIds": [
    123
  ],
  "toNumber": {
    "e164Number": "<string>",
    "extension": "<string>"
  },
  "callStartedTimestamp": "2023-11-07T05:31:56Z",
  "durationSeconds": 123,
  "userId": 123
}
'
import requests

url = "https://api.hubapi.com/crm/v3/extensions/calling/inbound-call"

payload = {
"createEngagement": True,
"engagementProperties": {},
"externalCallId": "<string>",
"fromNumber": {
"e164Number": "<string>",
"extension": "<string>"
},
"potentialRecipientUserIds": [123],
"toNumber": {
"e164Number": "<string>",
"extension": "<string>"
},
"callStartedTimestamp": "2023-11-07T05:31:56Z",
"durationSeconds": 123,
"userId": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
createEngagement: true,
engagementProperties: {},
externalCallId: '<string>',
fromNumber: {e164Number: '<string>', extension: '<string>'},
potentialRecipientUserIds: [123],
toNumber: {e164Number: '<string>', extension: '<string>'},
callStartedTimestamp: '2023-11-07T05:31:56Z',
durationSeconds: 123,
userId: 123
})
};

fetch('https://api.hubapi.com/crm/v3/extensions/calling/inbound-call', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "callerIdMatches": [
    {
      "callerIdType": "CONTACT",
      "objectCoordinates": {
        "objectId": 123,
        "objectTypeId": "<string>",
        "portalId": 123
      },
      "email": "<string>",
      "firstName": "<string>",
      "lastName": "<string>"
    }
  ]
}
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

ボディ

application/json
createEngagement
boolean
必須

この通話でエンゲージメントを作成するかどうかを示します。

engagementProperties
object
必須

エンゲージメントに関連する追加プロパティーが含まれます。

externalCallId
string
必須

外部システムからのコールの固有ID。

finalCallStatus
enum<string>
必須

コールの最終ステータス。許容される値は、BUSY、CALLING_CRM_USER、CANCELED、COMPLETED、CONNECTING、FAILED、HOLD、IN_PROGRESS、MISSED、NO_ANSWER、QUEUED、RINGING、UNKNOWNなどです。

利用可能なオプション:
BUSY,
CALLING_CRM_USER,
CANCELED,
COMPLETED,
CONNECTING,
FAILED,
HOLD,
IN_PROGRESS,
MISSED,
NO_ANSWER,
QUEUED,
RINGING,
UNKNOWN
fromNumber
object
必須
potentialRecipientUserIds
integer<int32>[]
必須
toNumber
object
必須
callStartedTimestamp
string<date-time>

日時文字列として書式設定される、通話が開始された日時を示すタイムスタンプ。

durationSeconds
integer<int32>

コールの所要時間(秒)

userId
integer<int32>

コールに関連付けられているユーザーのID。

レスポンス

successful operation

callerIdMatches
(CONTACT · object | COMPANY · object)[]
必須
最終更新日 2026年4月10日